# Uses of Class
javafx.animation.KeyValue

Packages that use KeyValue
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.

## Uses of KeyValue in javafx.animation

Methods in javafx.animation that return types with arguments of type KeyValue
Modifier and Type
Method
Description
`Set<KeyValue>`
KeyFrame.`getValues()`
Returns an immutable `Set` of `KeyValue` instances.
Constructors in javafx.animation with parameters of type KeyValue
Modifier
Constructor
Description
``
`KeyFrame(Duration time, String name, KeyValue... values)`
Constructor of `KeyFrame`
``
`KeyFrame(Duration time, String name, EventHandler<ActionEvent> onFinished, KeyValue... values)`
Constructor of `KeyFrame`
``
`KeyFrame(Duration time, KeyValue... values)`
Constructor of `KeyFrame`
``
`KeyFrame(Duration time, EventHandler<ActionEvent> onFinished, KeyValue... values)`
Constructor of `KeyFrame`
Constructor parameters in javafx.animation with type arguments of type KeyValue
Modifier
Constructor
Description
``
`KeyFrame(Duration time, String name, EventHandler<ActionEvent> onFinished, Collection<KeyValue> values)`
Constructor of `KeyFrame`